Bug 809775 - Repository configuration generated by Guvnor uses deprecated Jackrabbit classes
Repository configuration generated by Guvnor uses deprecated Jackrabbit classes
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ER8
: BRMS 5.3.0.GA
Assigned To: Mark Proctor
Petr Široký
: Regression
Depends On:
  Show dependency treegraph
Reported: 2012-04-04 07:11 EDT by Jiri Locker
Modified: 2013-11-07 17:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
server.log (3.81 KB, text/plain)
2012-04-04 07:11 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-04-04 07:11:39 EDT
Created attachment 575087 [details]

Description of problem:

From server log:

> org.apache.jackrabbit.core.security.SimpleAccessManager is deprecated. Please use org.apache.jackrabbit.core.security.simple.SimpleAccessManager instead
> org.apache.jackrabbit.core.security.SimpleLoginModule is deprecated. Please use org.apache.jackrabbit.core.security.simple.SimpleLoginModule instead
> org.apache.jackrabbit.core.persistence.bundle.BundleDbPersistenceManager is deprecated. Please use org.apache.jackrabbit.core.persistence.pool.BundleDbPersistenceManager instead

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. http://localhost:8080/jboss-brms/ > Administration > Repository Configuration
2. choose arbitrary values and generate the config
Actual results:
generated configuration contains deprecated classes (according to what is logged by jackrabbit)

Expected results:
the configuration should contain the classes that replace the deprecated ones

Additional info:
repository seem to be working OK with the deprecated classes
Comment 2 Lukáš Petrovický 2012-05-09 07:22:52 EDT
Mistakenly moved to ON_QA, moving back to MODIFIED.
Comment 3 Jiri Locker 2012-05-10 07:11:56 EDT
Hi Jervis, on which branch have you made that fix? If it's really fixed I think it can be safely merged into 5.3.x, what do you think?
Comment 4 Jervis Liu 2012-05-10 07:31:07 EDT
Hi Jiri, the fix is on 5.3.x , 5.4.x  and master branch already.
Comment 8 Ryan Zhang 2012-05-10 21:43:33 EDT
The fix is commited in 5.3.x branch on April 23
The ER6 's cutting date is April 18. So it is not in product yet.
As Jiri pointed out, there is no risk to include this fix.

So I think I am going to pick this one in ER7, otherwise we would need to revert it in project which I think wouldn't make  more sense. 

Modified status means to me that developer fixed this issue but not yet picked up by product. Otherwise it would move to ON_QA status. Would the "modified" status mean differently to others?
Comment 9 Ryan Zhang 2012-05-10 23:44:13 EDT
This need to be set block+ flag before picking in product.
Comment 10 Jiri Locker 2012-05-11 08:54:01 EDT
Hello Jervis, is this https://github.com/droolsjbpm/guvnor/commit/441997f559caecc14a0033455a143d1df134c16c is the only commit that has been made in order to fix this issue? Please notice that also classes from org.apache.jackrabbit.core.persistence.bundle package were deprecated and should be replaced with classes from org.apache.jackrabbit.core.persistence.pool.

Please include this update too or correct me if I'm wrong. Changing back to assigned.
Comment 13 Jervis Liu 2012-05-13 23:16:47 EDT
Hi Jiri, thanks for the reminding. Fixed.
Comment 14 Ryan Zhang 2012-05-25 05:08:15 EDT
Please verify them on ER8.
Comment 15 Petr Široký 2012-05-30 09:14:40 EDT
Verified fixed in 5.3.0 ER8. Deprecated classes aren't used in generated configs anymore.

Note You need to log in before you can comment on or make changes to this bug.